import Control from "comptechsoft-vue-foundation/src/Components/Forms/Controls/Control";

class Combobox extends Control {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        this.AddProperty('options', [])
        this.AddProperty('multiple', null)

    }

    AddOption(option) {
        if(! option.hasOwnProperty('id') )
        {
            throw new Error('The option do not has the [id] property')
        }
        if(! option.hasOwnProperty('text') )
        {
            throw new Error('The option do not has the [text] property')
        }
        this.options.push(option)
        return this
    }

    AddOptionById(id, text) {
        return this.AddOption({id, text})
    }

}

export default Combobox