import Component from "comptechsoft-vue-foundation/src/Components/Component" 

class Form extends Component {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        this.AddProperty('controls', {})
    }

    AddControl(control) {
        this.controls[control.name] = control
        return this
    }

    GetValues() {
        let r = {}

        _.each(this.controls, (control, key)  => {
            r[key] = control.GetValue()
        })

        return r
    }
    
}

export default Form