import Collection from "comptechsoft-vue-foundation/src/Classes/Collection/Collection";

class HtmlClass extends Collection {

    constructor(name, parent = null, onInit = null) {
        super(name, parent, onInit)
    }

    AddClass(key) {
        if( _.isArray(key) || _.isString(key) )
        {
            let parts = _.isArray(key) ? key : key.split(/[ ,]+/)
            _.each(parts, item => {
                this.Put(item.trim(), true)
            })
        }
        return this
    }

    RemoveClass(key) {
        this.items[key] = false
        return this
    }

    getHtmlClass() {
        let r = {}
        _.each(this.All(), (value, item) => {
            if(_.isFunction(value))
            {
                r[item] = value()
            }
            else
            {
                r[item] = value
            }
        })
        return r
    }
}


export default HtmlClass