import Component from "comptechsoft-vue-foundation/src/Components/Component"
import CardHeaders from "comptechsoft-vue-foundation/src/Components/Cards/Headers/CardHeaders"

class Card extends Component {

    constructor(name, parent = null, onInit = null) {

        super(name, parent, onInit)

        /**
         * Un card poate avea mai multe headers
         * headers = colectie de obiecte "CardHeader"
         */
        this.AddProperty('headers', null)

        /**
         * By default are clasa "card"
         */
        this.AddClass('card')
    }


    /**
     * HEADERS
     */

    AddHeaders(headers) {
        if(! headers instanceof CardHeaders )
        {
            this.onError('Parameter must be a [CardHeader] instance', 'CardHeaders::Add(header)')
        }
        headers.Set('parent', this)
        return this.Set('headers', headers)
    }

    Headers() {
        return this.headers.All()
    }

    // HeadersCount() {
    //     return this.headers.Count()
    // }

    // HasHeaders() {
    //     return this.HeadersCount() > 0
    // }

    // OnClick(vue = null) {       
    //     /**
    //      * By default il aduc in prim plan
    //      */
    //     this.AddStyle('z-index', 1 + this.GetHighestStyleProperty('.card', 'z-index') )
        
        
    //     super.OnClick(vue)
        
    // }

}

export default Card