import Collection from "comptechsoft-vue-foundation/src/Classes/Collection/Collection";
import CardHeader from "comptechsoft-vue-foundation/src/Components/Cards/Header/CardHeader";

class CardHeaders extends Collection {

    constructor(name, parent = null, onInit = null) {
        super(name, parent, onInit)
    }

    Add(header) {
        if( _.isArray(header))
        {
            _.each(header, item => {
                this.Add(item)
            })
            return this
        }
        else
        {
            if(! (header instanceof CardHeader) )
            {
                return this.onError('Parameter must be a [CardHeader] instance', 'CardHeaders::Add(header)')
            }
            header.Set('parent', this)
            return this.Push(header)
        }
    }
    
}

export default CardHeaders